08/03/2021 12:30 PM - Marek Hulán

Status: Ready For Testing   

Priority: Normal   

Assignee: Ondřej Ezr   

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman_

puppet/pull/177

  

Description

2021-08-03T14:25:16 [I|app|8537af90] Started GET "/unattended/provision?token=[FILTERED]&url=http%

3A%2F%2Fforeman-nuc2.example.com%3A8000" for 192.168.73.1 at 2021-08-03 14:25:16 +0200

2021-08-03T14:25:16 [I|app|8537af90] Processing by UnattendedController#host_template as TEXT

2021-08-03T14:25:16 [I|app|8537af90]   Parameters: {"token"=>"[FILTERED]", "url"=>"http://foreman-

nuc2.example.com:8000", "kind"=>"provision", "unattended"=>{}}

2021-08-03T14:25:16 [W|app|8537af90] Error rendering the Kickstart default template

2021-08-03T14:25:16 [I|app|8537af90] Backtrace for 'Error rendering the Kickstart default template

' error (NoMethodError): undefined method `config_groups' for nil:NilClass

 8537af90 | /opt/theforeman/tfm/root/usr/share/gems/gems/foreman_puppet-1.0.0.rc.1/app/services/fo

reman_puppet/host_info_providers/config_groups_info.rb:5:in `host_info'

 8537af90 | /usr/share/foreman/app/models/concerns/host_info_extensions.rb:27:in `block in info'

 8537af90 | /usr/share/foreman/app/models/concerns/host_info_extensions.rb:25:in `each'

 8537af90 | /usr/share/foreman/app/models/concerns/host_info_extensions.rb:25:in `info'

 8537af90 | /usr/share/foreman/lib/foreman/renderer/scope/macros/host_template.rb:227:in `enc'

 8537af90 | /usr/share/foreman/lib/foreman/renderer/scope/macros/host_template.rb:23:in `host_enc'

 8537af90 | Kickstart default:161:in `get_binding'

 8537af90 | /opt/rh/rh-ruby27/root/usr/share/ruby/erb.rb:905:in `eval'

 8537af90 | /opt/rh/rh-ruby27/root/usr/share/ruby/erb.rb:905:in `result'

 8537af90 | /usr/share/foreman/lib/foreman/renderer/unsafe_mode_renderer.rb:7:in `render'

 8537af90 | /usr/share/foreman/lib/foreman/renderer/base_renderer.rb:18:in `render'

 8537af90 | /usr/share/foreman/lib/foreman/renderer.rb:46:in `render'

 8537af90 | /usr/share/foreman/app/models/template.rb:172:in `render'

 8537af90 | /usr/share/foreman/app/controllers/concerns/foreman/controller/template_rendering.rb:1

8:in `safe_render'

 8537af90 | /usr/share/foreman/app/controllers/concerns/foreman/controller/template_rendering.rb:9

:in `render_template'

 8537af90 | /usr/share/foreman/app/controllers/unattended_controller.rb:129:in `render_provisionin

g_template'

 8537af90 | /usr/share/foreman/app/controllers/unattended_controller.rb:67:in `host_template'

 8537af90 | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.7/lib/action_controller/

metal/basic_implicit_render.rb:6:in `send_action'

 8537af90 | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.7/lib/abstract_controlle

r/base.rb:195:in `process_action'

 8537af90 | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.7/lib/action_controller/

metal/rendering.rb:30:in `process_action'

 8537af90 | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.7/lib/abstract_controlle

r/callbacks.rb:42:in `block in process_action'

 8537af90 | /opt/theforeman/tfm/root/usr/share/gems/gems/activesupport-6.0.3.7/lib/active_support/

callbacks.rb:112:in `block in run_callbacks'

 8537af90 | /usr/share/foreman/app/controllers/concerns/foreman/controller/timezone.rb:10:in `set_

timezone'

 8537af90 | /opt/theforeman/tfm/root/usr/share/gems/gems/activesupport-6.0.3.7/lib/active_support/
callbacks.rb:121:in `block in run_callbacks'

 8537af90 | /usr/share/foreman/app/models/concerns/foreman/thread_session.rb:32:in `clear_thread'

 8537af90 | /opt/theforeman/tfm/root/usr/share/gems/gems/activesupport-6.0.3.7/lib/active_support/

callbacks.rb:121:in `block in run_callbacks'

 8537af90 | /usr/share/foreman/app/controllers/concerns/foreman/controller/topbar_sweeper.rb:12:in

 `set_topbar_sweeper_controller'

 8537af90 | /opt/theforeman/tfm/root/usr/share/gems/gems/activesupport-6.0.3.7/lib/active_support/

callbacks.rb:121:in `block in run_callbacks'

 8537af90 | /opt/theforeman/tfm/root/usr/share/gems/gems/audited-4.9.0/lib/audited/sweeper.rb:14:i

n `around'

 8537af90 | /opt/theforeman/tfm/root/usr/share/gems/gems/activesupport-6.0.3.7/lib/active_support/

callbacks.rb:121:in `block in run_callbacks'

 8537af90 | /opt/theforeman/tfm/root/usr/share/gems/gems/audited-4.9.0/lib/audited/sweeper.rb:14:i

n `around'

 8537af90 | /opt/theforeman/tfm/root/usr/share/gems/gems/activesupport-6.0.3.7/lib/active_support/

callbacks.rb:121:in `block in run_callbacks'

 8537af90 | /opt/theforeman/tfm/root/usr/share/gems/gems/activesupport-6.0.3.7/lib/active_support/

callbacks.rb:139:in `run_callbacks'

 8537af90 | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.7/lib/abstract_controlle

r/callbacks.rb:41:in `process_action'

 8537af90 | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.7/lib/action_controller/

metal/rescue.rb:22:in `process_action'

 8537af90 | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.7/lib/action_controller/

metal/instrumentation.rb:33:in `block in process_action'

 8537af90 | /opt/theforeman/tfm/root/usr/share/gems/gems/activesupport-6.0.3.7/lib/active_support/

notifications.rb:180:in `block in instrument'

 8537af90 | /opt/theforeman/tfm/root/usr/share/gems/gems/activesupport-6.0.3.7/lib/active_support/

notifications/instrumenter.rb:24:in `instrument'

 8537af90 | /opt/theforeman/tfm/root/usr/share/gems/gems/activesupport-6.0.3.7/lib/active_support/

notifications.rb:180:in `instrument'

 8537af90 | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.7/lib/action_controller/

metal/instrumentation.rb:32:in `process_action'

 8537af90 | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.7/lib/action_controller/

metal/params_wrapper.rb:245:in `process_action'

 8537af90 | /opt/theforeman/tfm/root/usr/share/gems/gems/activerecord-6.0.3.7/lib/active_record/ra

ilties/controller_runtime.rb:27:in `process_action'

 8537af90 | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.7/lib/abstract_controlle

r/base.rb:136:in `process'

 8537af90 | /opt/theforeman/tfm/root/usr/share/gems/gems/actionview-6.0.3.7/lib/action_view/render

ing.rb:39:in `process'

 8537af90 | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.7/lib/action_controller/

metal.rb:190:in `dispatch'

 8537af90 | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.7/lib/action_controller/

metal.rb:254:in `dispatch'

 8537af90 | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.7/lib/action_dispatch/ro

uting/route_set.rb:50:in `dispatch'

 8537af90 | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.7/lib/action_dispatch/ro

uting/route_set.rb:33:in `serve'

 8537af90 | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.7/lib/action_dispatch/jo

urney/router.rb:49:in `block in serve'

 8537af90 | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.7/lib/action_dispatch/jo

urney/router.rb:32:in `each'

 8537af90 | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.7/lib/action_dispatch/jo

urney/router.rb:32:in `serve'

 8537af90 | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.7/lib/action_dispatch/ro

uting/route_set.rb:834:in `call'

 8537af90 | /opt/theforeman/tfm/root/usr/share/gems/gems/katello-4.2.0.pre.master/lib/katello/midd

leware/organization_created_enforcer.rb:18:in `call'

 8537af90 | /opt/theforeman/tfm/root/usr/share/gems/gems/katello-4.2.0.pre.master/lib/katello/midd

leware/event_daemon.rb:10:in `call'

 8537af90 | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.7/lib/action_dispatch/mi

ddleware/static.rb:126:in `call'

 8537af90 | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.7/lib/action_dispatch/mi

ddleware/static.rb:126:in `call'

 8537af90 | /opt/theforeman/tfm/root/usr/share/gems/gems/apipie-dsl-2.4.0/lib/apipie_dsl/static_di

spatcher.rb:67:in `call'

 8537af90 | /opt/theforeman/tfm/root/usr/share/gems/gems/apipie-rails-0.5.17/lib/apipie/static_dis
patcher.rb:66:in `call'

 8537af90 | /opt/theforeman/tfm/root/usr/share/gems/gems/apipie-rails-0.5.17/lib/apipie/extractor/

recorder.rb:137:in `call'

 8537af90 | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.7/lib/action_dispatch/mi

ddleware/static.rb:126:in `call'

 8537af90 | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.7/lib/action_dispatch/mi

ddleware/static.rb:126:in `call'

 8537af90 | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.7/lib/action_dispatch/mi

ddleware/static.rb:126:in `call'

 8537af90 | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.7/lib/action_dispatch/mi

ddleware/static.rb:126:in `call'

 8537af90 | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.7/lib/action_dispatch/mi

ddleware/static.rb:126:in `call'

 8537af90 | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.7/lib/action_dispatch/mi

ddleware/static.rb:126:in `call'

 8537af90 | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.7/lib/action_dispatch/mi

ddleware/static.rb:126:in `call'

 8537af90 | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.7/lib/action_dispatch/mi

ddleware/static.rb:126:in `call'

 8537af90 | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.7/lib/action_dispatch/mi

ddleware/static.rb:126:in `call'

 8537af90 | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.7/lib/action_dispatch/mi

ddleware/static.rb:126:in `call'

 8537af90 | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.7/lib/action_dispatch/mi

ddleware/static.rb:126:in `call'

 8537af90 | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.7/lib/action_dispatch/mi

ddleware/static.rb:126:in `call'

 8537af90 | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.7/lib/action_dispatch/mi

ddleware/static.rb:126:in `call'

 8537af90 | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.7/lib/action_dispatch/mi

ddleware/static.rb:126:in `call'

 8537af90 | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.7/lib/action_dispatch/mi

ddleware/static.rb:126:in `call'

 8537af90 | /usr/share/foreman/lib/foreman/middleware/telemetry.rb:10:in `call'

 8537af90 | /opt/theforeman/tfm/root/usr/share/gems/gems/apipie-rails-0.5.17/lib/apipie/middleware

/checksum_in_headers.rb:27:in `call'

 8537af90 | /usr/share/foreman/lib/foreman/middleware/catch_json_parse_errors.rb:9:in `call'

 8537af90 | /opt/theforeman/tfm/root/usr/share/gems/gems/rack-2.2.3/lib/rack/tempfile_reaper.rb:15

:in `call'

 8537af90 | /opt/theforeman/tfm/root/usr/share/gems/gems/rack-2.2.3/lib/rack/etag.rb:27:in `call'

 8537af90 | /opt/theforeman/tfm/root/usr/share/gems/gems/rack-2.2.3/lib/rack/conditional_get.rb:27

:in `call'

 8537af90 | /opt/theforeman/tfm/root/usr/share/gems/gems/rack-2.2.3/lib/rack/head.rb:12:in `call'

 8537af90 | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.7/lib/action_dispatch/ht

tp/content_security_policy.rb:18:in `call'

 8537af90 | /usr/share/foreman/lib/foreman/middleware/logging_context_session.rb:22:in `call'

 8537af90 | /opt/theforeman/tfm/root/usr/share/gems/gems/rack-2.2.3/lib/rack/session/abstract/id.r

b:266:in `context'

 8537af90 | /opt/theforeman/tfm/root/usr/share/gems/gems/rack-2.2.3/lib/rack/session/abstract/id.r

b:260:in `call'

 8537af90 | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.7/lib/action_dispatch/mi

ddleware/cookies.rb:648:in `call'

 8537af90 | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.7/lib/action_dispatch/mi

ddleware/callbacks.rb:27:in `block in call'

 8537af90 | /opt/theforeman/tfm/root/usr/share/gems/gems/activesupport-6.0.3.7/lib/active_support/

callbacks.rb:101:in `run_callbacks'

 8537af90 | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.7/lib/action_dispatch/mi

ddleware/callbacks.rb:26:in `call'

 8537af90 | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.7/lib/action_dispatch/mi

ddleware/actionable_exceptions.rb:18:in `call'

 8537af90 | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.7/lib/action_dispatch/mi

ddleware/debug_exceptions.rb:32:in `call'

 8537af90 | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.7/lib/action_dispatch/mi

ddleware/show_exceptions.rb:33:in `call'

 8537af90 | /opt/theforeman/tfm/root/usr/share/gems/gems/railties-6.0.3.7/lib/rails/rack/logger.rb

:37:in `call_app'

 8537af90 | /opt/theforeman/tfm/root/usr/share/gems/gems/railties-6.0.3.7/lib/rails/rack/logger.rb
:28:in `call'

 8537af90 | /opt/theforeman/tfm/root/usr/share/gems/gems/sprockets-rails-3.2.1/lib/sprockets/rails

/quiet_assets.rb:13:in `call'

 8537af90 | /usr/share/foreman/lib/foreman/middleware/logging_context_request.rb:11:in `call'

 8537af90 | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.7/lib/action_dispatch/mi

ddleware/remote_ip.rb:81:in `call'

 8537af90 | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.7/lib/action_dispatch/mi

ddleware/request_id.rb:27:in `call'

 8537af90 | /opt/theforeman/tfm/root/usr/share/gems/gems/katello-4.2.0.pre.master/lib/katello/prev

ent_json_parsing.rb:12:in `call'

 8537af90 | /opt/theforeman/tfm/root/usr/share/gems/gems/rack-2.2.3/lib/rack/method_override.rb:24

:in `call'

 8537af90 | /opt/theforeman/tfm/root/usr/share/gems/gems/rack-2.2.3/lib/rack/runtime.rb:22:in `cal

l'

 8537af90 | /opt/theforeman/tfm/root/usr/share/gems/gems/activesupport-6.0.3.7/lib/active_support/

cache/strategy/local_cache_middleware.rb:29:in `call'

 8537af90 | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.7/lib/action_dispatch/mi

ddleware/executor.rb:14:in `call'

 8537af90 | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.7/lib/action_dispatch/mi

ddleware/static.rb:126:in `call'

 8537af90 | /opt/theforeman/tfm/root/usr/share/gems/gems/rack-2.2.3/lib/rack/sendfile.rb:110:in `c

all'

 8537af90 | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.7/lib/action_dispatch/mi

ddleware/host_authorization.rb:76:in `call'

 8537af90 | /opt/theforeman/tfm/root/usr/share/gems/gems/secure_headers-6.3.0/lib/secure_headers/m

iddleware.rb:11:in `call'

 8537af90 | /opt/theforeman/tfm/root/usr/share/gems/gems/railties-6.0.3.7/lib/rails/engine.rb:527:

in `call'

 8537af90 | /opt/theforeman/tfm/root/usr/share/gems/gems/railties-6.0.3.7/lib/rails/railtie.rb:190

:in `public_send'

 8537af90 | /opt/theforeman/tfm/root/usr/share/gems/gems/railties-6.0.3.7/lib/rails/railtie.rb:190

:in `method_missing'

 8537af90 | /opt/theforeman/tfm/root/usr/share/gems/gems/rack-2.2.3/lib/rack/urlmap.rb:74:in `bloc

k in call'

 8537af90 | /opt/theforeman/tfm/root/usr/share/gems/gems/rack-2.2.3/lib/rack/urlmap.rb:58:in `each

'

 8537af90 | /opt/theforeman/tfm/root/usr/share/gems/gems/rack-2.2.3/lib/rack/urlmap.rb:58:in `call

'

 8537af90 | /opt/theforeman/tfm/root/usr/share/gems/gems/puma-5.3.2/lib/puma/configuration.rb:249:

in `call'

 8537af90 | /opt/theforeman/tfm/root/usr/share/gems/gems/puma-5.3.2/lib/puma/request.rb:77:in `blo

ck in handle_request'

 8537af90 | /opt/theforeman/tfm/root/usr/share/gems/gems/puma-5.3.2/lib/puma/thread_pool.rb:338:in

 `with_force_shutdown'

 8537af90 | /opt/theforeman/tfm/root/usr/share/gems/gems/puma-5.3.2/lib/puma/request.rb:76:in `han

dle_request'

 8537af90 | /opt/theforeman/tfm/root/usr/share/gems/gems/puma-5.3.2/lib/puma/server.rb:438:in `pro

cess_client'

 8537af90 | /opt/theforeman/tfm/root/usr/share/gems/gems/puma-5.3.2/lib/puma/thread_pool.rb:145:in

 `block in spawn_thread'

 8537af90 | /opt/theforeman/tfm/root/usr/share/gems/gems/logging-2.3.0/lib/logging/diagnostic_cont

ext.rb:474:in `block in create_with_logging_context'

2021-08-03T14:25:16 [E|app|8537af90] There was an error rendering the Kickstart default template: 

undefined method `config_groups' for nil:NilClass

2021-08-03T14:25:16 [I|app|8537af90]   Rendering text template

2021-08-03T14:25:16 [I|app|8537af90]   Rendered text template (Duration: 0.0ms | Allocations: 1)

2021-08-03T14:25:16 [I|app|8537af90] Completed 500 Internal Server Error in 164ms (Views: 0.5ms | 

ActiveRecord: 39.2ms | Allocations: 43046)

Foreman version: 3.0.0-develop

Plugins: 

 - foreman-tasks 5.0.0

 - foreman_ansible 6.4.1

 - foreman_azure_rm 2.2.5

 - foreman_bootdisk 17.1.0

 - foreman_discovery 17.0.0

 - foreman_kubevirt 0.1.9
 - foreman_leapp 0.1.7

 - foreman_openscap 4.3.3

 - foreman_puppet 1.0.0.rc.1

 - foreman_remote_execution 4.6.0

 - foreman_rh_cloud 4.0.24.1

 - foreman_templates 9.1.0

 - foreman_virt_who_configure 0.5.6

 - foreman_webhooks 2.0.0

 - katello 4.2.0.pre.master

 - redhat_access 2.2.20

History

#1 - 08/03/2021 12:49 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ondřej Ezr

- Pull request https://github.com/theforeman/foreman_puppet/pull/177 added
